// Description								/*{{{*/
// $Id: crc-16.h,v 1.1 2002/07/23 17:54:51 niemeyer Exp $
/* ######################################################################

   CRC16 - Compute a 16bit crc very quickly

   ##################################################################### */
									/*}}}*/
#ifndef APTPKG_CRC16_H
#define APTPKG_CRC16_H

#include <string>

#define INIT_FCS  0xffff
unsigned short AddCRC16(unsigned short fcs, void const *buf,
			unsigned long len);

unsigned short AddCRC16(unsigned short fcs, const std::string & str);
#endif

#include <stdint.h>
#if __WORDSIZE == 32 && !defined(__USE_FILE_OFFSET64)
# error "<apt-pkg/crc-16.h> cannot be used without -D_FILE_OFFSET_BITS=64"
#endif
