// Description								/*{{{*/
// $Id: clean.h,v 1.1 2002/07/23 17:54:50 niemeyer Exp $
/* ######################################################################

   Clean - Clean out downloaded directories

   ##################################################################### */
									/*}}}*/
#ifndef APTPKG_CLEAN_H
#define APTPKG_CLEAN_H

#include <apt-pkg/pkgcache.h>

class pkgArchiveCleaner
{
   protected:

   virtual void Erase(const char * /*File*/,string /*Pkg*/,string /*Ver*/,struct stat & /*St*/) {}

   public:

   bool Go(const string &Dir,pkgCache &Cache);
};

#endif

#include <stdint.h>
#if __WORDSIZE == 32 && !defined(__USE_FILE_OFFSET64)
# error "<apt-pkg/clean.h> cannot be used without -D_FILE_OFFSET_BITS=64"
#endif
